## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate bigdecimal

Name:           rust-bigdecimal
Version:        0.4.6
Release:        %autorelease
Summary:        Arbitrary precision decimal numbers

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bigdecimal
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax serde_test dev-dependency to allow building with version >=1.0.176
# * exclude files that are only useful for upstream development
Patch:          bigdecimal-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Arbitrary precision decimal numbers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-json" feature of the "%{crate}" crate.

%files       -n %{name}+serde-json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+string-only-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+string-only-devel %{_description}

This package contains library source intended for building other packages which
use the "string-only" feature of the "%{crate}" crate.

%files       -n %{name}+string-only-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Oct 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-1
- Update to version 0.4.6; Fixes RHBZ#2322093

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.5-1
- Update to version 0.4.5

* Sun Jun 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-2
- Relax some dependencies to allow newer versions

* Sun Jun 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version 0.4.4; Fixes RHBZ#2292499

* Tue Mar 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-1
- Update to version 0.4.3; Fixes RHBZ#2267868

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2

* Mon Nov 06 2023 Tomas Hrcka <thrcka@redhat.com> - 0.3.0-5
- Unretirement request: https://pagure.io/releng/issue/11756

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.0-1
- Initial Fedora package
## END: Generated by rpmautospec
